Bug 1283166 - Review Request: eclipse-xtext-antlr-generator - Xtext adapter to ANTLR's generator
Summary: Review Request: eclipse-xtext-antlr-generator - Xtext adapter to ANTLR's gene...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Sopot Cela
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-11-18 12:08 UTC by Mat Booth
Modified: 2015-12-07 20:30 UTC (History)
2 users (show)

Fixed In Version: eclipse-xtext-antlr-generator-2.1.1-2.git18383dd
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-07 20:30:14 UTC
scela: fedora-review+


Attachments (Terms of Use)

Description Mat Booth 2015-11-18 12:08:31 UTC
Spec URL: https://fedorapeople.org/~mbooth/eclipse-xtext-antlr-generator.spec
SRPM URL: https://fedorapeople.org/~mbooth/eclipse-xtext-antlr-generator-2.1.1-1.git18383dd.fc24.src.rpm
Description: Xtext adapter to ANTLR's generator.
Fedora Account System Username: mbooth

Comment 1 Sopot Cela 2015-11-20 14:57:36 UTC



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: Cannot find LICENSE.txt in rpm(s)
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text
- This seems like a Java package, please install fedora-review-plugin-java
  to get additional checks


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. No licenses found. Please check the source files for
     licenses manually.
[ ]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/eclipse/droplets
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/eclipse/droplets,
     /usr/share/eclipse
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: eclipse-xtext-antlr-generator-2.1.1-1.git18383dd.fc24.noarch.rpm
          eclipse-xtext-antlr-generator-2.1.1-1.git18383dd.fc24.src.rpm
eclipse-xtext-antlr-generator.noarch: W: dangling-relative-symlink /usr/share/eclipse/droplets/xtext-antlr-generator/eclipse/plugins/org.antlr.runtime_3.2.0.jar ../../../../../java/antlr32/antlr-runtime-3.2.jar
eclipse-xtext-antlr-generator.noarch: W: dangling-symlink /usr/share/eclipse/droplets/xtext-antlr-generator/eclipse/plugins/org.antlr.generator_3.2.0.201511201447/antlr/antlr32_antlr-3.2.jar /usr/share/java/antlr32/antlr-3.2.jar
eclipse-xtext-antlr-generator.noarch: W: dangling-symlink /usr/share/eclipse/droplets/xtext-antlr-generator/eclipse/plugins/org.antlr.generator_3.2.0.201511201447/antlr/stringtemplate.jar /usr/share/java/stringtemplate.jar
eclipse-xtext-antlr-generator.noarch: W: dangling-symlink /usr/share/eclipse/droplets/xtext-antlr-generator/eclipse/plugins/org.antlr.generator_3.2.0.201511201447/antlr/antlr.jar /usr/share/java/antlr.jar
2 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
eclipse-xtext-antlr-generator.noarch: W: dangling-symlink /usr/share/eclipse/droplets/xtext-antlr-generator/eclipse/plugins/org.antlr.generator_3.2.0.201511201447/antlr/stringtemplate.jar /usr/share/java/stringtemplate.jar
eclipse-xtext-antlr-generator.noarch: W: dangling-symlink /usr/share/eclipse/droplets/xtext-antlr-generator/eclipse/plugins/org.antlr.generator_3.2.0.201511201447/antlr/antlr.jar /usr/share/java/antlr.jar
eclipse-xtext-antlr-generator.noarch: W: dangling-symlink /usr/share/eclipse/droplets/xtext-antlr-generator/eclipse/plugins/org.antlr.generator_3.2.0.201511201447/antlr/antlr32_antlr-3.2.jar /usr/share/java/antlr32/antlr-3.2.jar
eclipse-xtext-antlr-generator.noarch: W: dangling-relative-symlink /usr/share/eclipse/droplets/xtext-antlr-generator/eclipse/plugins/org.antlr.runtime_3.2.0.jar ../../../../../java/antlr32/antlr-runtime-3.2.jar
1 packages and 0 specfiles checked; 0 errors, 4 warnings.



Requires
--------
eclipse-xtext-antlr-generator (rpmlib, GLIBC filtered):
    antlr
    antlr32-tool
    java-headless
    jpackage-utils
    osgi(org.antlr.runtime)
    stringtemplate



Provides
--------
eclipse-xtext-antlr-generator:
    eclipse-xtext-antlr-generator
    mvn(org.eclipse.xtext:de.itemis.xtext.antlr)
    mvn(org.eclipse.xtext:de.itemis.xtext.antlr.feature)
    mvn(org.eclipse.xtext:org.antlr.generator)
    osgi(de.itemis.xtext.antlr)
    osgi(de.itemis.xtext.antlr.feature)
    osgi(org.antlr.generator)



Source checksums
----------------
https://github.com/xtext/org.xtext.antlr.generator/archive/18383ddec6f6af9f60646db673dcb298d6c290b1.tar.gz :
  CHECKSUM(SHA256) this package     : 77f7ad19e39ae68320b4024c044e17292b1a4ac13480eac88666286e6a5fa1dd
  CHECKSUM(SHA256) upstream package : 77f7ad19e39ae68320b4024c044e17292b1a4ac13480eac88666286e6a5fa1dd


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1283166 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 2 Gwyn Ciesla 2015-11-20 15:22:08 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/eclipse-xtext-antlr-generator

Comment 3 Mat Booth 2015-11-20 16:11:51 UTC
Built for all requested branches.

Comment 4 Fedora Update System 2015-11-29 12:11:44 UTC
antlr3-3.5.2-10.fc23 antlr32-3.2-12.fc23 eclipse-pydev-4.4.0-3.fc23 eclipse-xtext-antlr-generator-2.1.1-3.git18383dd.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-03f691b1fb

Comment 5 Fedora Update System 2015-11-29 23:53:24 UTC
antlr3-3.5.2-10.fc23, antlr32-3.2-12.fc23, eclipse-pydev-4.4.0-3.fc23, eclipse-xtext-antlr-generator-2.1.1-3.git18383dd.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update eclipse-pydev eclipse-xtext-antlr-generator antlr3 antlr32'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-03f691b1fb

Comment 6 Fedora Update System 2015-12-07 20:30:09 UTC
antlr3-3.5.2-10.fc23, antlr32-3.2-12.fc23, eclipse-pydev-4.4.0-3.fc23, eclipse-xtext-antlr-generator-2.1.1-3.git18383dd.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.